# [SwiftChat](https://github.com/aws-samples/swift-chat)

SwiftChat is a lightning-fast, cross-platform AI chat application built with React Native. It delivers native performance on Android, iOS, iPad, Android tablets and macOS. Features include real-time streaming chat, rich Markdown support (tables, code blocks, LaTeX), AI image generation, customizable system prompts, and multimodal capabilities. Supports multiple AI providers including DeepSeek, Amazon Bedrock, Ollama and OpenAI. The minimalist UI design and optimized architecture ensure instant launch and responsive interactions across all platforms.

## UI

![UI](./assets/promo.png)

## Integrate with Deepseek API

![Mac Settings](./assets/settings.png)

## Using System Prompt with DeepSeek

<img src="./assets/system-prompt.png" width="50%">

For more information, Please refer to [SwiftChat GitHub](https://github.com/aws-samples/swift-chat)



